package webspin.projects.sandbox.client;

import com.google.gwt.event.dom.client.HasClickHandlers;
import com.google.gwt.user.client.ui.Button;
import com.google.gwt.user.client.ui.Composite;
import com.google.gwt.user.client.ui.HasValue;
import com.google.gwt.user.client.ui.TextBox;
import com.google.gwt.user.client.ui.VerticalPanel;

class AddRowWidget extends Composite implements AddRowPresenter.AddRowWidgetInterface {
	TextBox rowName = new TextBox();
	Button addRowButton = new Button("send");
	
	/**
	 * Constructor
	 * This is a composite of a textbox and a button
	 */
	public AddRowWidget()
	{
		VerticalPanel mainPanel = new VerticalPanel();
		mainPanel.add(rowName);
		mainPanel.add(addRowButton);
		initWidget(mainPanel);
	}
	public HasClickHandlers getSendButton() {
		return this.addRowButton;
	}
	public HasValue<String> getTextBox() {
		return this.rowName;
	}
}
