package webspin.projects.sandbox.client;



import com.google.gwt.user.client.ui.RootPanel;
import com.google.gwt.user.client.ui.VerticalPanel;
import com.google.gwt.user.client.ui.Widget;

/**
 * The main class, a bit overkill for a small example like this
 * @author mabogie
 *
 */
class EventTestPresenter {
	AddRowPresenter addRowPresenter;
	SpecialTablePresenter specialTablePresenter;
	
	public EventTestPresenter(
			AddRowPresenter addRowPresenter, 
			SpecialTablePresenter specialTablePresenter
			)
	{
		this.addRowPresenter = addRowPresenter;
		this.specialTablePresenter = specialTablePresenter;
		
	}

	/**
	 * Bind all widgets to a verticalPanel and then to the rootpanel
	 * @param rootPanel
	 */
	public void go(RootPanel rootPanel) {
		// no widget here, app too small, just use a verticalPanel
		VerticalPanel mainPanel = new VerticalPanel();
		
		// some ugly casting, how do I avoid this (and keep mvp)?
		mainPanel.add((Widget) addRowPresenter.widget);
		mainPanel.add((Widget) specialTablePresenter.table);
		rootPanel.add(mainPanel);
	}

}
