package webspin.projects.sandbox.client.events;


import com.google.gwt.event.shared.EventHandler;


/**
 * The handler interface for the specific event
 * In this case: TableRowEvent
 * 
 * @author Maarten Bogaert
 * 
 */
public interface TableRowEventHandler extends EventHandler {
	/**
	 * What to do when a TableRowEvent is called
	 * @param addTableRowEvent
	 */
	void onAddRow(TableRowEvent addTableRowEvent);

}
